> For the complete documentation index, see [llms.txt](https://apps.docs.rootflo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apps.docs.rootflo.ai/ai-gold-auditor-app/get-loan-counts.md).

# Get Loan Counts

**Endpoint**:

**POST** `https://<base_url>/floware/v1/datasources/<data_source_id>/dynamic-queries/all-loan-counts/execute`

#### **Headers**

* `Content-Type` : application/json
* `X-Rootflo-Signature` : HMAC signature
* `X-Rootflo-Key` : HMAC Key&#x20;

{% content-ref url="/pages/dd2YKnoHkmgvYrEIYsIj" %}
[Authentication](/authentication.md)
{% endcontent-ref %}

#### Query Param

| Param name | Value                                | Example                        | Description                                                                                                          |
| ---------- | ------------------------------------ | ------------------------------ | -------------------------------------------------------------------------------------------------------------------- |
| `$filter`  | \<column\_name> \<operator> \<value> | `(gdo.loan_id eq 'GL8787755')` | This is a expanded filter wich you can apply over multiple columns. The filter can be chained using `$and , $or` etc |
| `limit`    | Integer                              | `100`                          | The max number of records to be fetched                                                                              |
| `offset`   | Integer                              | `0`                            | Offset value                                                                                                         |

#### Payload

```json
// this returns loans with loan_date > '2026-06-02' and loan_date < '2026-06-15'
{
    "params":
        {
            "start_date":"2026-06-02", 
            "end_date":"2026-06-15"
        }
}
```

### Response format

API Response Payload

```json
{
  "all_loan_count": {
    "status": "success",
    "error": null,
    "description": "Query all_loan_count executed successfully",
    "result": [{
        "loan_count": 18
    }]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apps.docs.rootflo.ai/ai-gold-auditor-app/get-loan-counts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
